PTHREAD_ATTR_SETCREATESUSPEND_NP(3)

NAME
pthread_attr_setcreatesuspend_np - set attribute to create a thread suspended

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_attr_setcreatesuspend_np(pthread_attr_t attr);

DESCRIPTION
The pthread_attr_setcreatesuspend_np() function sets the attr argument, so that if this attr is used in a pthread_create(3) call, then the thread created will not run, but it will remain blocked in the suspended queue, until pthread_resume_np(3) is called on it.

RETURN VALUES
The pthread_attr_setcreatesuspend_np() function always returns 0.

COMPATIBILITY
The function is a non-standard extension.

ERRORS
No errors are defined.

SEE ALSO
pthread_create(3), pthread_resume_np(3), pthread_suspend_np(3)